commit:     723d43dbc68ebd3d8254e3da72e7b80b4abfd813
Author:     Mathy Vanvoorden <mathy <AT> vanvoorden <DOT> be>
AuthorDate: Tue Oct 11 18:45:48 2016 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Wed Oct 12 07:37:02 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=723d43db

dev-python/mimeparse: version bump to 0.1.4-r2

Package-Manager: portage-2.3.0
Closes: https://github.com/gentoo/gentoo/pull/2538

Signed-off-by: David Seifert <soap <AT> gentoo.org>

 dev-python/mimeparse/mimeparse-0.1.4-r2.ebuild | 45 ++++++++++++++++++++++++++
 1 file changed, 45 insertions(+)

diff --git a/dev-python/mimeparse/mimeparse-0.1.4-r2.ebuild 
b/dev-python/mimeparse/mimeparse-0.1.4-r2.ebuild
new file mode 100644
index 00000000..bdd4916
--- /dev/null
+++ b/dev-python/mimeparse/mimeparse-0.1.4-r2.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python2_7 python3_{3,4,5} pypy pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Basic functions for handling mime-types in python"
+HOMEPAGE="
+       https://code.google.com/p/mimeparse
+       https://github.com/dbtsai/python-mimeparse";
+MY_PN="python-${PN}"
+MY_P="${MY_PN}-${PV}"
+SRC_URI="mirror://pypi/${MY_PN:0:1}/${MY_PN}/${MY_P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 
~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux"
+IUSE=""
+
+S="${WORKDIR}/${MY_P}"
+
+python_test() {
+       "${PYTHON}" mimeparse_test.py || die "Tests fail with ${EPYTHON}"
+}
+
+python_install() {
+       distutils-r1_python_install
+
+       if [[ ${EPYTHON} == pypy ]]; then
+               local pyver=2.7
+       elif [[ ${EPYTHON} == pypy3 ]]; then
+               local pyver=3.2
+       else
+               local pyver=${EPYTHON#python}
+       fi
+       python_export PYTHON_SITEDIR
+
+       # Previous versions were just called 'mimeparse'
+       cp "${D%/}${PYTHON_SITEDIR}/python_mimeparse-${PV}-py${pyver}.egg-info" 
\
+               "${D%/}${PYTHON_SITEDIR}/mimeparse-${PV}-py${pyver}.egg-info" 
|| die
+}

Reply via email to